$('.module_box').on('click','.edits',function(){
    if($('#pageFlag').val()!=''&&eval($('#pageFlag').val())) {
        if ($(this).hasClass("pureText") == true && $(this).is('[module]') == true) {
            console.log($(this).attr('QRcodeIDs'),'$(this).attr(\'QRcodeIDs\')');
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'));
        } else if ($(this).hasClass("imageTexts") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        } else if ($(this).hasClass("imageAtlase") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        }else if ($(this).hasClass("fileText") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        }else if ($(this).hasClass("linkItem") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        }else if ($(this).hasClass("videoItem") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        }else if ($(this).hasClass("deviceItem") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        }else if ($(this).hasClass("recordItem") == true && $(this).is('[module]') == true) {
            sessionStorage.setItem('QRcodeIDs', $(this).attr('QRcodeIDs'))
        }else {
            console.log('false','$(this).attr(\'QRcodeIDs\')');
            sessionStorage.setItem('QRcodeIDs','false')
        }
    }
});
// 纯文本title，图文title
function editPureTextTitleName(dataID,title,id,pageRelationId,str) {
        $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
        $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(title);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.preview_content').html(str);
}
// 图文
function edituploadImage(dataID,title,img,id,pageRelationId,str) {
        $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
        $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(title);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').attr('src',img);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').css({width:'318px',height:'100px'});
        $("[dataId*="+dataID+"]").find('.message_preview').find('.preview_content').html(str)
}
// 图集
var cur=0;var timer = null;
function editlunbo(){
    var mySwiper = new Swiper('.swiper-container',{
        autoplay: {
            delay: 2500,
            disableOnInteraction: false,
        },
    });
}
function edituploadImageAtlas(dataID,pictureList,id,pageRelationId) {
        $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
        $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        for (var u = 0;u < pictureList.length; u++) {
            $("[dataId*="+dataID+"]").attr("parentId",pictureList[u].parentId);
            $("[dataId*=" + dataID + "]").find('.message_preview').find('.aum-p').html(pictureList[u].title);
            $("[dataId*=" + dataID + "]").find('.message_preview').find('.banner_img').find('.swiper-wrapper').append(`<div index-data="${u}" class="swiper-slide"><img src="${pictureList[u].imageUrl}" alt=""></div>`);
            editlunbo()
        }
}
// 文件

function edituploadFile(dataID,fileArray,id,pageRelationId) {
        $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
        $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
    for (var u = 0;u < fileArray.length; u++) {
        $("[dataId*=" + dataID + "]").find('.message_preview').find('.aum-p').html(fileArray[u].title);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.fileItem').append(`<li class="li_list empty" index-data="${u}"><p class="list_name" style="font-weight: 300">${fileArray[u].fileName}</p></li>`);
    }
}
// 链接
// 链接和内容回显
function editlinkFun(dataID,linkArray,id,pageRelationId) {
    $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
    $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
    for (var u = 0;u < linkArray.length; u++) {
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".links").append(`<li class="li_list" index-data="${u}">
            <p class="list_name preview-p" style="font-weight: normal">${linkArray[u].linkName}</p>
            <span class="field_type preview-p link_url">${linkArray[u].linkUrl}</span>
        </li>`);
    }
}
// 视频
function editaddVideo(dataID,videoUrl,id,pageRelationId) {
        $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
        $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.videoItem video>source').attr("src",videoUrl);
}
// 设备铭牌
function editDevice(dataID,DeviceArray,id,pageRelationId) {
        $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
        $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
    for (var u = 0;u < DeviceArray.length; u++) {
        $("[dataId*=" + dataID + "]").find('.message_preview').find('.deviceItem').append(
            `<li class="li_list" index-data="${u}">
            <p class="list_name preview-p" style="font-weight: normal">${DeviceArray[u].paramName}</p>
            <span class="field_type preview-p link_url">${DeviceArray[u].paramContent}</span>
        </li>`);
    }
}
// 记录模版
function editRecord(dataID,RecordArray,id,pageRelationId) {
    $("[dataId*="+dataID+"]").attr("QRcodeIDs",id);
    $("[dataId*="+dataID+"]").attr("pageRelationId",pageRelationId);
    $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
    $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
    $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
    for (var u = 0;u < RecordArray.length; u++) {
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(RecordArray[u].recordName);
    }
}